Attribute VB_Name = "Module1"
Option Explicit

Const NUMBERTOADD% = 301
Const PATHIN$ = "E:\Pittsburgh_2002_Sept_Study\Analysis\2002-10-01 test (run number problem)\Test_Data\"
Const PATHOUT$ = "E:\Pittsburgh_2002_Sept_Study\Analysis\2002-10-01 test (run number problem)\Test_Data_Out\"
Const PATHFILENAMES$ = "E:\Pittsburgh_2002_Sept_Study\Analysis\2002-10-01 test (run number problem)\"

Sub Main()

'Reads all files in a folder, changes their names, and changes the wave names inside them

    Dim FileName$

    Open PATHFILENAMES$ + "ams_datapath_dir.dat" For Input As #3
    
    While Not (EOF(3))
        Line Input #3, FileName$
        ChangeIgorFile (FileName$)
    Wend
    
End Sub

Sub ChangeIgorFile(FileName$)

    Dim RunNumber%
    Dim NewFileName$, Line$
    Dim iChar%
    
    'FileName$ = "021002_R3000_MS.itx"

    ' First change the filename
    
    RunNumber = Mid$(FileName, 8, 4)
    RunNumber = RunNumber + NUMBERTOADD%
    
    If Mid(FileName$, 13, 2) = "MS" Then
        NewFileName$ = Left$(FileName$, 7) + RTrim$(LTrim$(Str(RunNumber%))) + Right(FileName$, 7)
    Else
        NewFileName$ = Left$(FileName$, 7) + RTrim$(LTrim$(Str(RunNumber%))) + Right(FileName$, 8)
    End If
    
    'Name PATH$ + FileName$ As PATH$ + NewFileName$

    ' Second, change the wavenames inside
    
    Open PATHIN$ + FileName$ For Input As #1
    Open PATHOUT$ + NewFileName$ For Output As #2
    
    While Not (EOF(1))
        Line Input #1, Line$
        If Left$(Line$, 5) = "Waves" Then
            For iChar = 1 To Len(Line$)
                If Mid(Line$, iChar, 2) = "_r" Or Mid(Line$, iChar, 2) = "_R" Then
                    Line$ = Left$(Line$, iChar + 1) + RTrim$(LTrim$(Str(RunNumber%))) + Right$(Line$, Len(Line$) - iChar% - 5)
                End If
            Next iChar
        End If
        Print #2, Line$
    Wend
    
    Close #1
    Close #2
    
    'Kill PATH$ + FileName$


End Sub

